DefInt A-Z
Declare Function findwindow Lib "user" (ByVal lpclassname As Any, ByVal lpcaption As Any)
Declare Function initvirtdesk% Lib "virtdesk.dll" (ByVal X%, ByVal Y%)
Declare Function setvirtdesk% Lib "virtdesk.dll" (ByVal X%, ByVal Y%)
Declare Function GetDeskH% Lib "virtdesk.dll" ()
Declare Function GetDeskV% Lib "virtdesk.dll" ()
Declare Function getactivewindow Lib "user" () As Integer
Type RECT
    left As Integer
    top As Integer
    right As Integer
    bottom As Integer
End Type
Declare Sub GetWindowRect Lib "User" (ByVal hWnd As Integer, lpRect As RECT)
Dim CurrentWnd%

Sub SwitchCurrentApp ()
'This Sub finds the location of the currently active
'application and switches to the correct Virtual Desk

'Variables used throughout
Dim myrect As RECT
Dim ActiveHwnd%
Dim ScreenWidth%
Dim ScreenHeight%
Dim PosX%
Dim PosY%
Dim MyIndex%
Dim ret%

'Get the currently active window
ActiveHwnd% = getactivewindow()

'If it hasn't changed, or if this program has focus, exit
If ActiveHwnd% <> CurrentWnd% And ActiveHwnd% <> form1.hWnd Then
    CurrentWnd% = ActiveHwnd%
Else
    CurrentWnd% = 0
    Exit Sub
End If

'Must be a new program, so find where it is
'and switch to it

'Get the dimensions of the active window (in pixels)
GetWindowRect ActiveHwnd%, myrect

'Find out how big one screen is (in pixels)
ScreenWidth% = screen.Width / screen.TwipsPerPixelX
ScreenHeight% = screen.Height / screen.TwipsPerPixelY

'Find out which Virtual Desk the app is in
If myrect.right > myrect.left Then
    PosX% = Int((((myrect.right - myrect.left) / 2) + myrect.left) / ScreenWidth) + GetDeskH()
Else
    PosX% = Int((((myrect.right + myrect.left) / 2) + myrect.left) / ScreenWidth) + GetDeskH()
End If
If myrect.bottom > myrect.top Then
    PosY% = Int((((myrect.bottom - myrect.top) / 2) + myrect.top) / ScreenHeight) + GetDeskV()
Else
    PosY% = Int((((myrect.bottom + myrect.top) / 2) + myrect.top) / ScreenHeight) + GetDeskV()
End If

'Un-comment the following line to change to the correct
'desk with code:
'ret%=SetVirtDesk(PosX%, PosY%)


'This is specific to this program
'Find which button represents the correct Virtual Desk
'and toggle it
MyIndex% = ((PosY% - 1) * 4) + (PosX% - 1)
form1.VDesk(MyIndex%).Value = True
End Sub

