VERSION 2.00
Begin Form frmMenu2 
   Caption         =   "MenuInfo Custom Control  - Child2"
   ClientHeight    =   2835
   ClientLeft      =   2205
   ClientTop       =   3210
   ClientWidth     =   5535
   Height          =   3525
   Left            =   2145
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   2835
   ScaleWidth      =   5535
   Top             =   2580
   Width           =   5655
   Begin jbMenuDemo MenuInfo1 
      Left            =   1080
      Top             =   1200
   End
   Begin Frame Frame1 
      Caption         =   "Menu - Graph : Axis"
      Height          =   1335
      Left            =   3120
      TabIndex        =   3
      Top             =   240
      Width           =   2175
      Begin CheckBox chkEnabled 
         Caption         =   "Enabled"
         Height          =   255
         Left            =   240
         TabIndex        =   5
         Top             =   840
         Value           =   1  'Checked
         Width           =   1455
      End
      Begin CheckBox chkVisible 
         Caption         =   "Visible"
         Height          =   255
         Left            =   240
         TabIndex        =   4
         Top             =   480
         Value           =   1  'Checked
         Width           =   1695
      End
   End
   Begin Label lblStatusBar 
      BorderStyle     =   1  'Fixed Single
      Caption         =   " Status Bar"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   2400
      Width           =   4935
   End
   Begin Label lblMenuindexVal 
      Caption         =   "1"
      Height          =   255
      Left            =   1560
      TabIndex        =   1
      Top             =   2040
      Width           =   495
   End
   Begin Label lblMenuindex 
      Caption         =   "MenuIndex ="
      Height          =   255
      Left            =   360
      TabIndex        =   0
      Top             =   2040
      Width           =   1215
   End
   Begin Menu mnuFile 
      Caption         =   "File"
      Begin Menu mnuFileOpen 
         Caption         =   "Open Child1"
      End
      Begin Menu mnuFileClose 
         Caption         =   "Close"
      End
      Begin Menu mnuD1 
         Caption         =   "-"
      End
      Begin Menu mnuFileExit 
         Caption         =   "Exit"
      End
   End
   Begin Menu mnuGraph 
      Caption         =   "Graph"
      Begin Menu mnuGraphAxis 
         Caption         =   "Axis"
         Begin Menu mnuGraphAxisX 
            Caption         =   "X-Axis"
         End
         Begin Menu mnuGraphAxisY 
            Caption         =   "Y-Axis"
         End
      End
      Begin Menu mnuGraphTitle 
         Caption         =   "Title"
      End
      Begin Menu mnuGraphLast 
         Caption         =   "Last"
      End
   End
End
Option Explicit

Dim MenuMsgs() As String  ' String array to store menu messages
Dim OldStatus As String   ' String to save the old status message

Sub chkEnabled_Click ()

    ' Change the [Graph : Axis] Enabled property
    mnuGraphAxis.Enabled = chkEnabled.Value

End Sub

Sub chkVisible_Click ()

    ' Change the [Graph : Axis] Visible property
    mnuGraphAxis.Visible = chkVisible.Value


    ' Reset indexing to the MenuMsgs messages
    Reset_Status_Array

    ' Display new status bar message
    If (chkVisible.Value) Then
        lblStatusBar.Caption = " Menu item [Graph : Axis] is visible"
    Else
        lblStatusBar.Caption = " Menu item [Graph : Axis] is NOT visible"
    End If

End Sub

Sub Form_Load ()

    ' Reset indexing for the MenuMsgs messages
    Call Reset_Status_Array
    
    ' Hide the menu index number labels
    lblMenuindex.Visible = False
    lblMenuindexVal.Visible = False

End Sub

Sub MenuInfo1_Close ()
    
    ' Restore the old status bar message
    MDIForm1.lblMDIStatusBar.Caption = OldStatus
    
    ' Hide the menu index number labels
    lblMenuindex.Visible = False
    lblMenuindexVal.Visible = False

End Sub

Sub MenuInfo1_Open ()
    
    ' Save the old status bar message
     OldStatus = MDIForm1.lblMDIStatusBar.Caption

    ' Display the menu index number labels
    lblMenuindex.Visible = True
    lblMenuindexVal.Visible = True
    
End Sub

Sub MenuInfo1_Select (MenuIndex As Integer)
    On Error Resume Next
    
    ' Display the menu index number
    lblMenuindexVal.Caption = MenuIndex
    
    ' Display the message for this menu index
    lblStatusBar.Caption = MenuMsgs(MenuIndex)
    MDIForm1.lblMDIStatusBar.Caption = "Child2 - " & MenuMsgs(MenuIndex)

End Sub

Sub mnuFileClose_Click ()

    Unload Me

End Sub

Sub mnuFileExit_Click ()

    End

End Sub

Sub mnuFileOpen_Click ()

    frmMenu1.Show

End Sub

'
' Must be called when thr form is loaded, and after
'  a menu item's Visible property changes state.
'
Sub Reset_Status_Array ()
    
    Dim i As Integer
    ReDim MenuMsgs(10) As String

    i = 0
    MenuMsgs(i) = "": i = i + 1                   ' Control Menu Selected
    MenuMsgs(i) = " File stuff": i = i + 1        ' File
    MenuMsgs(i) = " Open Child1": i = i + 1       ' File : Open
    MenuMsgs(i) = " Close a file": i = i + 1      ' File : Close
    MenuMsgs(i) = " Exit the program": i = i + 1  ' File : Exit
    MenuMsgs(i) = " Graph stuff": i = i + 1       ' Graph
    If (mnuGraphAxis.Visible) Then                ' Check if [Edit : Align] is Visible
        MenuMsgs(i) = " Select Axis": i = i + 1   ' Graph : Axis
        MenuMsgs(i) = " Select X Axis": i = i + 1 ' Graph : Axis : X
        MenuMsgs(i) = " Select Y Axis": i = i + 1 ' Graph : Axis : Y
    End If
    MenuMsgs(i) = " Select Title": i = i + 1      ' Graph : Title
    MenuMsgs(i) = " Last menu item": i = i + 1    ' Graph : Last
                                                   
End Sub

